Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1692132 - mu doesn't install, blocks Python Classroom Lab image build
Summary: mu doesn't install, blocks Python Classroom Lab image build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mu
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-03-24 14:43 UTC by Miro Hrončok
Modified: 2019-04-03 18:31 UTC (History)
3 users (show)

Fixed In Version: mu-1.0.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-28 17:41:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1695796 0 unspecified CLOSED Fedora-Python-Classroom-Live FTBFS 2021-02-22 00:41:40 UTC

Internal Links: 1695796

Description Miro Hrončok 2019-03-24 14:43:49 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=33733854

DEBUG util.py:554:  BUILDSTDERR: 2019-03-24 12:26:27,373: Non interactive installation failed:
DEBUG util.py:554:  BUILDSTDERR: 2019-03-24 12:26:27,373: Problem: conflicting requests
DEBUG util.py:554:  BUILDSTDERR: 2019-03-24 12:26:27,373: - nothing provides python3.7dist(pycodestyle) < 2.5 needed by mu-1.0.0-4.fc30.noarch
DEBUG util.py:554:  BUILDSTDERR: 2019-03-24 12:26:27,373: - nothing provides python3.7dist(pyflakes) < 2.1 needed by mu-1.0.0-4.fc30.noarch.

Fix at 
https://src.fedoraproject.org/rpms/mu/pull-request/3

Comment 1 Miro Hrončok 2019-03-24 14:46:06 UTC
This blocks the creation of Fedora 30 Beta Python Classroom Lab, hence I'm requesting an exception. Thanks for considering.

Comment 2 Fedora Update System 2019-03-24 15:08:13 UTC
python-nudatus-0.0.3-1.fc30 mu-1.0.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-12538c4496

Comment 3 Fedora Update System 2019-03-25 03:48:50 UTC
mu-1.0.2-1.fc30, python-nudatus-0.0.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-12538c4496

Comment 4 Adam Williamson 2019-03-25 16:45:55 UTC
This is an automatic FE per "Bugs which entirely prevent the composition of one or more of the non-release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process#Automatic_freeze_exceptions . Marking accepted.

Comment 5 Adam Williamson 2019-03-26 15:24:32 UTC
I think the dep issue is indeed resolved now, but the image build still failed in Beta-1.8 due to insufficient size:

DEBUG util.py:554:  BUILDSTDERR: 2019-03-26 08:29:30,227: Error Summary
DEBUG util.py:554:  BUILDSTDERR: 2019-03-26 08:29:30,227: -------------
DEBUG util.py:554:  BUILDSTDERR: 2019-03-26 08:29:30,227: Disk Requirements:
DEBUG util.py:554:  BUILDSTDERR: 2019-03-26 08:29:30,227: At least 245MB more space needed on the / filesystem.

so I think that needs bumping.

Comment 6 Miro Hrončok 2019-03-26 23:22:31 UTC
It's hard to me to debug that. What is the size limit we are hitting? Any ideas why that changed recently?

Comment 7 Miro Hrončok 2019-03-26 23:25:28 UTC
Maybe https://pagure.io/fedora-kickstarts/pull-request/511 can help?

Comment 8 Fedora Update System 2019-03-28 17:41:15 UTC
mu-1.0.2-1.fc30, python-nudatus-0.0.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Adam Williamson 2019-03-28 17:42:53 UTC
For the record, that error basically happens when the filesystem to which the system is installed during image creation is too small for the stuff being installed to it - this is obviously related to the size of the packages pulled into the image. That size is defined in the kickstart; currently for this image it's 14.5GB:

https://pagure.io/fedora-kickstarts/blob/f30/f/fedora-live-scientific_kde.ks#_16

so you basically fix this by pulling fewer packages into the image, or making the packages smaller, or just increasing that size (which means the final image will be larger too). For now we have merged PRs:

https://pagure.io/fedora-kickstarts/pull-request/511
https://pagure.io/fedora-kickstarts/pull-request/512

which should reduce the content size, so we'll see if the image succeeds with the next Rawhide and 30 nightlies.

Comment 10 Miro Hrončok 2019-04-03 18:31:52 UTC
Since this was originally about mu and it is CLOSED, I've opened more general bz1695796.


Note You need to log in before you can comment on or make changes to this bug.